Bug 754856 - Katello cli improvements
Katello cli improvements
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jordan OMara
SAM QE List
: Triaged
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2011-11-17 17:16 EST by Bryan Kearney
Modified: 2014-11-09 17:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 20:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2011-11-17 17:16:44 EST
two items, both related to the configuration of the shell using the global configs

1) The name of the shell should be headpin> for headpin and katello> for katello
2) The shell stores history using the local .katello directory. it should pull the valu from the config
Comment 2 Bryan Kearney 2012-01-24 15:39:15 EST
Wait.. that was 1/2 :)
Comment 3 Bryan Kearney 2012-01-25 09:50:02 EST
Fixed in c8b082030ba5119a736868483d9f35ff9341d5cb. You will need to test with 1.15 of katello-cli-headpin or later and katello-cli-common-0.1.42-1.fc15.noarch or later.
Comment 8 Jordan OMara 2012-02-23 09:09:46 EST
These fixes are now available in the freshest brew. Eg:


[root@plant ~]# headpin -u admin -p admin shell
headpin> 


[root@plant ~]# cat .headpin/history 
bugzilla
Comment 9 Eric Sammons 2012-04-04 11:23:00 EDT
katello-headpin-all-0.1.145-1.el6.noarch

VERIFIED

Note You need to log in before you can comment on or make changes to this bug.